import { redirect } from '@sveltejs/kit';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = async ({ locals, cookies }) => {
	try {
		await locals.comm.get('/auth/logout');
		cookies.delete('apiKey', { path: '/new' });
	} catch (error) {
		console.log(error);
		return redirect(307, `${process.env.DASHBOARD_URL}/new`);
	}

	return redirect(307, `${process.env.DASHBOARD_URL}/new`);
};
